VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
TrimOptions Struct Reference

`#include <cstring.h>`

## Public Types
using | CharTestFunc = std::function<bool (char32_t)>

## Public Member Functions
| TrimOptions (CharTestFunc &&func=[](char32_t c) { return isSpace(c);})
TrimOptions & | left ()
TrimOptions & | right ()
bool | trimLeft () const
bool | trimRight () const
bool | operator() (char32_t c) const

## Member Typedef Documentation

## ◆ CharTestFunc

using CharTestFunc = std::function<bool (char32_t)>

## Constructor & Destructor Documentation

## ◆ TrimOptions()

TrimOptions | ( | CharTestFunc && | func = [] (char32_t c) { return isSpace (c); } | ) |
| inline

## Member Function Documentation

## ◆ left()

TrimOptions & left | ( |  | ) |
| inline

## ◆ operator()()

bool operator() | ( | char32_t | c | ) | const
| inline

## ◆ right()

TrimOptions & right | ( |  | ) |
| inline

## ◆ trimLeft()

bool trimLeft | ( |  | ) | const
| inline

## ◆ trimRight()

bool trimRight | ( |  | ) | const
| inline

The documentation for this struct was generated from the following file:

- cstring.h